Last Comment Bug 914262 - KHTML-based browsers such as Konqueror do not support the Server-Push technology
: KHTML-based browsers such as Konqueror do not support the Server-Push technology
Status: RESOLVED FIXED
:
Product: Bugzilla
Classification: Server Software
Component: Query/Bug List (show other bugs)
: 4.4
: All All
: -- normal (vote)
: Bugzilla 4.2
Assigned To: Frédéric Buclin
: default-qa
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 10:08 PDT by Frédéric Buclin
Modified: 2013-12-24 06:56 PST (History)
2 users (show)
mail: approval+
mail: approval4.4+
LpSolit: approval4.2+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch, v1 (714 bytes, patch)
2013-09-09 10:09 PDT, Frédéric Buclin
dkl: review+
Details | Diff | Splinter Review

Description Frédéric Buclin 2013-09-09 10:08:15 PDT
Konqueror and other KHTML-based browsers such as Safari do not support the Server-Push technology used in buglists. We already catch Safari correctly thanks to "WebKit" being in its UA string but we totally miss Konqueror. Side-effects are the inability to use the QuickSearch feature more than once in a row (on the 2nd attempt, the QS stops working) and the UI is broken in guided form when filing a new bug, see e.g. https://bugs.gentoo.org/show_bug.cgi?id=380617.
Comment 1 Frédéric Buclin 2013-09-09 10:09:33 PDT
Created attachment 801661 [details] [diff] [review]
patch, v1
Comment 2 David Lawrence [:dkl] 2013-09-10 13:58:10 PDT
Comment on attachment 801661 [details] [diff] [review]
patch, v1

Review of attachment 801661 [details] [diff] [review]:
-----------------------------------------------------------------

r=dkl
Comment 3 Frédéric Buclin 2013-09-10 14:11:57 PDT
Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/trunk/
modified buglist.cgi
Committed revision 8733.

Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/4.4/
modified buglist.cgi
Committed revision 8604.
Comment 4 Frédéric Buclin 2013-09-26 16:23:47 PDT
approval4.2 = justdave on IRC.

Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/4.2/
modified buglist.cgi
Committed revision 8227.
Comment 5 createnew 2013-12-24 06:56:08 PST
Comment on attachment 801661 [details] [diff] [review]
patch, v1

>Index: buglist.cgi
>===================================================================
>RCS file: /cvsroot/mozilla/webtools/bugzilla/buglist.cgi,v
>retrieving revision 1.457
>diff -p -u -r1.457 buglist.cgi
>--- buglist.cgi	13 Aug 2013 18:57:12 -0000	1.457
>+++ buglist.cgi	9 Sep 2013 17:08:57 -0000
>@@ -105,7 +105,7 @@ my $serverpush =
>     && exists $ENV{'HTTP_USER_AGENT'} 
>       && $ENV{'HTTP_USER_AGENT'} =~ /(Mozilla.[3-9]|Opera)/
>         && $ENV{'HTTP_USER_AGENT'} !~ /compatible/i
>-          && $ENV{'HTTP_USER_AGENT'} !~ /(?:WebKit|Trident)/
>+          && $ENV{'HTTP_USER_AGENT'} !~ /(?:WebKit|Trident|KHTML)/
>             && !defined($cgi->param('serverpush'))
>               || $cgi->param('serverpush');
>

Note You need to log in before you can comment on or make changes to this bug.